#ifndef _CommonDialog_CPP
#define _CommonDialog_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <ShlObj.H>
#include <Stdio.H>
#include <ShlOBJ.H>
#include <Stdlib.H>

#include "../Resources/Resource.H"

#include "../Headers/NSWFL.H"
#include "../Headers/Package.H"
#include "../Headers/Entry.H"
#include "../Headers/CommonDialog.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

char gsExtractLocation[255 + 1];

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void SetStatusFileName(HWND xHandle, char *StatusText)
{
    char LocalBuffer[60 + 1];

    int Length = strlen(StatusText);
    int RPos = 0;
    int WPos = 0;
    int MinPos = (Length - 60);

    if(Length <= 60)
    {
        Set_Text(xHandle, StatusText);
        return;
    }

    RPos = Length;

    while(RPos != MinPos)
    {
        if(StatusText[RPos] == '\\')
            break;

        RPos--;
    }

    while(RPos < Length)
    {
        LocalBuffer[WPos] = StatusText[RPos];
        RPos++;
        WPos++;
    }

    LocalBuffer[WPos] = '\0';

    Set_Text(xHandle, LocalBuffer);
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

